# Connections

## Get all available connections

<mark style="color:blue;">`GET`</mark> `https://api.dœcentral.com/public/connections`

#### Query Parameters

| Name        | Type    | Description |
| ----------- | ------- | ----------- |
| prettyprint | boolean |             |

#### Headers

| Name   | Type   | Description |
| ------ | ------ | ----------- |
| Accept | string |             |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "status": "success",
  "meta": {
    "count_page": 9
  },
  "_links": {
    "self": {
      "href": "https://api.dœcentral.com/public/connections"
    },
    "first": {
      "href": "https://api.dœcentral.com/public/connections"
    },
    "pref": {
      "href": "https://api.dœcentral.com/public/connections"
    },
    "next": {
      "href": "https://api.dœcentral.com/public/connections"
    },
    "last": {
      "href": "https://api.dœcentral.com/public/connections"
    }
  },
  "errors": [],
  "data": [
    {
      "color": "#333",
      "slug": "google-calendar",
      "icon": "https://icongr.am/simple/googlecalendar.svg?size=32&colored=true",
      "name": "Google Calendar",
      "settings": {
        "calendar": {
          "type": "array",
          "desc": "List of calendar",
          "name": "Calendar"
        }
      },
      "public": true,
      "status": "Live",
      "_id": 2
    },
    {
      "name": "Google Tasks",
      "slug": "google-tasks",
      "color": "#333",
      "settings": {
        "taskLists": {
          "type": "array",
          "desc": "List of task-lists",
          "name": "Task lists"
        }
      },
      "public": true,
      "icon": "https://www.dœcentral.com/img/icons/google-tasks.png",
      "status": "In progress",
      "_id": 3
    },
    {
      "settings": {
        "apiKey": {
          "type": "string",
          "desc": "Your private api key from todoist. Can be found at ...",
          "name": "API key"
        },
        "filter": {
          "name": "Filter",
          "desc": "filter used for the todoist api. e.x. @tag",
          "type": "string"
        }
      },
      "public": true,
      "name": "Todoist",
      "status": "Live",
      "slug": "todoist",
      "icon": "https://icongr.am/simple/todoist.svg?size=32&colored=true",
      "color": "#da4134",
      "_id": 9
    },
    {
      "public": true,
      "slug": "trello",
      "icon": "https://icongr.am/simple/trello.svg?size=32&colored=true",
      "status": "In progress",
      "color": "#333",
      "name": "Trello",
      "_id": 10
    },
    {
      "status": "Live",
      "slug": "ical",
      "icon": "https://www.dœcentral.com/img/icons/ical.png",
      "settings": {
        "fileUrl": {
          "type": "string",
          "desc": "Address of the ical-File",
          "name": "URL of ical-File"
        }
      },
      "name": "iCal",
      "public": true,
      "color": "#333",
      "_id": 4
    }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xn--dcentral-ktb.com/public/connections.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
